== 1.5.7 (2010-07-09) ==
 * fix: クリップボードから非テキストデータを貼り付けるとクリップボードをロックしてしまい、他のアプリがクリップボードを使えなくなる問題を修正（1.5.0でのデグレード）
 * fix: System.Drawing.Font.OriginalFontName を使わないように
 * fix: [Ann] バージョン番号を 1.4.7 に

== 1.5.6 (2010-06-12) ==
 * fix: ドキュメント先頭にある特定パターンの単語（例:11aa）を単語単位で削除や選択などすると例外が発生する問題を修正（1.2.0からのバグ）
 * fix: まれな条件下で表示が正しく更新されないことがある問題を修正 (1.3.0からのバグ)
 * fix: Windows Mobile で日本語入力を行うと同じ文字列が２回入力されてしまう問題を修正（1.5.1からのバグ）
 * fix: [Ann] すでに Ann.exe で開いているファイルを別の Ann.exe で開こうとすると内部で例外が発生する問題を修正
 * fix: [Ann] バージョン番号を 1.4.6 に

== 1.5.5 (2010-05-16) ==
 * fix: AzukiControl.ClearHistory を呼び出しても DirtBar が再描画されない問題を修正
 * fix: AzukiControl.TabWidth を変更しても折り返し情報が更新されない問題を修正
 * fix: [Ann] 描画オプションダイアログでタブ幅を 0 以下に設定できないように修正
 * fix: [Ann] バージョン番号を 1.4.5 に

== 1.5.4 (2010-04-17) ==
 * add: テキスト描画時に使うアンチエイリアス方式を UserPref.Antialias プロパティで指定可能に
 * add: HTML で使われる #E0C184 といった色を指定するリテラルを一単語として扱うように
 * fix: ドラッグ中のマウスカーソルがテキストエリアから行番号領域に入ると選択開始位置が不正になる問題を修正
 * fix: [Ann] バージョン番号を 1.4.4 に

== 1.5.3 (2010-04-06) ==
 * fix: 折り返しモードで行頭にある文字を BackSpace で削除すると折り返し情報が不正になる問題を修正
 * fix: 折り返しモードで行番号領域をファイル先頭へとドラッグすると選択範囲が不正になりうる問題を修正
 * fix: 行番号領域に近いテキスト領域をドラッグすると行単位での選択になってしまう問題を修正
 * fix: [Ann] 複数の編集中ファイルが他プログラムで更新された状態でメインウィンドウをアクティブにするとダイアログが大量に表示される問題を修正
 * fix: [Ann] バージョン番号を 1.4.3 に

== 1.5.2 (2010-03-22) ==
 * fix: 1.5.1でのデグレードを修正（AzukiControl をマウスクリックでフォーカスできなくなっていた）
 * fix: 最大の行番号の桁が上がったときに行番号領域の幅が広がらない問題を修正
 * fix: 非常に長い行用に横スクロール範囲を自動拡張する機能を改善（非折り返しモード時のみ）
 * fix: 折り返し機能によって作られた物理行の先頭で編集を行うと、折り返し情報が適切に更新されない場合があった問題を修正
 * fix: [Ann] バージョン番号を 1.4.2 に

== 1.5.1 (2010-03-21) ==
 * add: 行番号領域のクリック・ドラッグで行を選択できるように
 * add: 上に一行追加する機能を追加（Actions.BreakPreviousLine での実装, 標準キーバインドは Ctrl+Enter）
 * add: 下に一行追加する機能を追加（Actions.BreakNextLine での実装, 標準キーバインドは Ctrl+Shift+Enter）
 * add: AzukiControl.ScrollsBeyondLastLine プロパティで、最終行より後ろへのスクロールを禁止可能に
 * add: AzukiControl に IsRectSelectModeChanged イベントを追加
 * add: 物理行の長さを取得する IView.GetLineLength メソッドを追加
 * add: IME による入力を、文字ごとではなく一括して受け付けるように
 * mod: ファイル終端以降の（存在しない）行についても行番号領域を描画するように
 * mod: Shift、Ctrl、Windows キーと同時の Enter キー入力では改行しないように
 * mod: AzukiControl.ConvertsTabToSpaces プロパティを Obsolete 指定しないように
 * mod: 「・」(U+30fb) をカタカナではなく記号文字として扱うように
 * mod: 「々」(U+3005) を記号ではなく漢字その他の文字として扱うように
 * mod: システムで指定されているフォント描画方法に従うように（アンチエイリアスを有効にするか、など）
 * fix: WPF アプリケーションで WindowsFormsHost を使って Azuki を使用する場合、Alt+マウスでの箱形選択後にメニューが表示されてしまう問題を修正
 * fix: DockPanel Suite で使えるように
 * fix: FindNext(string, int, bool matchCase) メソッドが matchCase 引数を無視していた問題を修正
 * fix: Document.ClearHistory を実行しても Document.IsDirty プロパティがリセットされない問題を修正
 * fix: 左マージン領域をマウスでドラッグしてもテキスト選択ができない問題を修正
 * fix: 折り返しモードで最終行を更新したときに DirtBar （変更状態表示領域）が正常に再描画されない問題を修正
 * fix: 水平ルーラーの長い線と桁番号が重ならないように描画ロジックを改善
 * add: [Ann] アプリケーションアイコンを作成
 * add: [Ann] 多重起動を防止
 * add: [Ann] 開いているファイルが他のプログラムから更新されたことを検出可能に
 * add: [Ann] 入力用改行コードを開いたファイルの先頭行から自動的に判断するように
 * fix: [Ann] 改行コードをそろえるコマンドを実行するとファイル末尾に改行が一つ余分に追加される問題を修正
 * fix: [Ann] タブのグラフィックが再描画されないことがある問題を修正
 * fix: [Ann] ディレクトリパスをコマンドライン引数に指定すると例外が発生する問題を修正
 * fix: [Ann] バージョン番号を 1.4.1 に

== 1.5.0 (2009-12-12) ==
 * add: 矩形（箱形）選択が可能に（マウス、キーボードのどちらでも）
 * add: 水平ルーラーを AzukiControl.ShowsHRuler で表示可能に
 * add: 変更行かどうかを表す領域 'DirtBar' を AzukiControl.ShowsDirtBar プロパティで表示可能に
 * add: 特殊（行、矩形）な形式でコピーしたデータを Visual Studio にペースト可能に（逆も可能に）
 * add: AzukiControl.UsesTabForIndent プロパティを追加
 * add: KeywordHighlighter で大文字小文字の区別なしでのマッチングを可能に
 * add: KeywordHighlighter で単語構成文字をキーワードセットごとにカスタマイズ可能に
 * add: AzukiControl.TopMargin で上端の描画マージンを設定可能に
 * add: AzukiControl.LeftMargin で左端の描画マージンを設定可能に
 * add: AzukiControl.DrawsEofMark プロパティで EOF 位置を描画できるように
 * add: AzukiControl.LinePadding で行間隔を指定可能に
 * add: AzukiControl.LineSpacing を追加
 * add: グループ UNDO をサポート（Document.BeginUndo の呼び出しから Document.EndUndo の呼び出しまでをグループ化）
 * add: Document.FindNext と Document.FindPrev のオーバーロードを追加
 * add: GDI+ がサポートしない OpenType フォントなどにも対応
 * add: 非折り返しモードでの水平スクロール関連の挙動を改善
 * add: 折り返しするかどうかを切り替えた直後のスクロール位置を改善
 * mod: UNDO 時の選択状態を記憶するようにし、UNDO 実行時にその状態を復元するように
 * mod: AzukiControl.GetIndexFromScreenPos に与えられた位置が不正な場合に最も近い有効な点を使って計算するように
 * mod: AutoIndentHook の引数仕様を変更
 * mod: AzukiControl と IUserInterface の ConvertsTabToSpaces を非推奨に
 * mod: ZoomIn、ZoomOut の実行後にテキストエリアの幅を調整するように
 * fix: ZoomIn、ZoomOut の実行後にキャレットが非表示になる問題を修正
 * fix: 閉じカッコ「}」を空白文字だけの行で入力したときに C 系言語用自動インデントが正しくインデント解除を行うように
 * add: [Ann] 簡易タブインタフェースをサポート
 * add: [Ann] フォントを描画オプションダイアログで指定可能に
 * add: [Ann] 終了時のウィンドウサイズを記憶するように
 * add: [Ann] 描画オプションを記憶するように
 * add: [Ann] ファイルを開くときに拡張子を判定して適切なファイルモードで開くように
 * add: [Ann] 入力時の改行コードを指定できる機能と、既存の改行コードをすべて指定したコードに統一する機能を追加
 * add: [Ann] BOM コードの無い UTF-16 エンコードされたテキストファイルを開けるように
 * mod: [Ann] テキスト検索のGUIレイアウトを変更
 * mod: [Ann] F3 と Shift+F3 で「次へ検索」と「前へ検索」を実行できるように
 * mod: [Ann] 「すべて選択」のニーモニックを L ではなく A に
 * mod: [Ann] About ダイアログで Ann と Azuki.dll のリビジョン番号まで表示するように
 * fix: [Ann] バージョン番号を 1.4.0 に

== 1.4.7 (2010-  -  ) ==
 * fix: ビジュアルデザイナで AzukiControl の TabWidth を 4 に設定すると 8 にリセットされる問題を修正

== 1.4.6 (2010-01-02) ==
 * fix: APIで選択アンカーを変更すると再描画が正常に行われないことがある問題を修正
 * fix: マウスのドラッグでテキストを選択中にフォーカスを失うと、マウスボタンが押された判定のままになる問題を修正
 * fix: 折り返しモードで垂直スクロールバーを右クリックして「最下部」を選択すると正しくスクロールされないことがある問題を修正
 * fix: サロゲートペア文字や CR+LF 記号の再描画が正常に行われないことがある問題を修正
 * fix: [Ann] バージョン番号を 1.3.6 に

== 1.4.5 (2009-12-06) ==
 * fix: ReadOnly 状態でも、テキストを選択して BackSpace キーを押すとテキストが削除されてしまう問題を修正
 * fix: [Ann] バージョン番号を 1.3.5 に

== 1.4.4 (2009-11-14) ==
 * fix: 内蔵 Ruby ハイライターを使おうとすると常に例外が発生する問題を修正
 * fix: 折り返しモードで画面右端付近で文字を入力すると水平スクロールしてしまう問題を修正
 * fix: 非折り返しモードでカーソル行アンダーラインが右端まで描画されないことがある問題を修正
 * fix: 外部のイベントハンドラが KeyEventArgs (KeyPressEventArgs) の Handled プロパティを true に設定した場合 AzukiControl がキーイベントを正しく無視するように修正
 * fix: [Ann] 1 バイトのファイルを開くと Ann がフリーズする問題を修正
 * fix: [Ann] バージョン番号を 1.3.4 に

== 1.4.3 (2009-09-21) ==
 * fix: タブをスペースに変換する機能が有効で特定条件を満たすと、タブキーを押しても何も起こらない問題を修正
 * fix: 特定テキストパターンでのキャレット移動が不適切な位置で止まる問題を修正（例：「5ii」の右端にキャレットを置いて Ctrl+Left を押す)
 * fix: [Ann] ファイルが短くなるよう編集して保存するとファイルが正しく保存されない問題を修正（Ann 1.3.2 のみに存在した問題です）
 * fix: [Ann] バージョン番号を 1.3.3 に

== 1.4.2 (2009-09-05) ==
 * fix: 空行でない最終行を対象にブロックインデントを実行すると例外が発生する問題を修正
 * fix: 右方向キーまたは左方向キーで選択を解除した後は常にキャレットが表示されるまでスクロールするよう修正
 * fix: C系言語用自動インデントがコメント文などの中にある { を正しく無視するように修正
 * fix: 不足していた C# のキーワードを CSharpHighlighter に追加
 * fix: [Ann] UTF エンコードのファイルは元々 BOM が付いていない限り BOM 無しで保存するように
 * fix: [Ann] バージョン番号を 1.3.2 に

== 1.4.1 (2009-08-23) ==
 * fix: タブ入力をスペースに変換する機能が、正しくない数のスペースを挿入してしまう問題を修正
 * fix: XML 用 highlighter が引用符で囲われた文字列中で '\' をエスケープ文字と扱ってしまう問題を修正
 * fix: [Ann] バージョン番号を 1.3.1 に

== 1.4.0 (2009-07-12) ==
 * add: LaTeX 用 highlighter を追加
 * add: 入力済み文字列の再変換が可能に
 * add: 「対カッコへ移動」機能を追加
 * add: XmlHighlighter がエンティティをハイライト可能に
 * add: 9999を超える行番号を表示できるように
 * add: Document オブジェクトに Tag プロパティを追加（任意のオブジェクトを関連づけ可能に）
 * add: AzukiControl の TextChanged イベントを、アクティブなドキュメントの内容が変更されたときに発行するように
 * add: AzukiControl に BorderStyle プロパティを追加
 * add: AzukiControl に FirstVisibleLine プロパティを追加
 * add: 自動インデントが全角空白に対しても実行されるように
 * add: AzukiControl.UseCtrlTabToMoveFocusを.NET Compact Framework環境でも実装
 * fix: Document.IsReadOnly の値にかかわらずプログラム的には Document オブジェクトを編集可能に
 * fix: KeywordHighlighter が「エスケープされたエスケープ文字」を正しく扱うように（C++ の '\\' といったトークンを正しくハイライト可能に）
 * fix: UNDO 記録用のメモリー領域をクリアしてもすぐに解放されない問題を修正
 * fix: AzukiControl.AcceptsTabが.NET Compact Framework環境でも動作するように
 * fix: メモリー使用量を削減
 * fix: ViewType 列挙子のスペルミスを修正（"propotional"としていた）
 * fix: CharType.Delimiter のスペルミスを修正（"delimitter"としていた）
 * add: [Ann] 折り返しモード切替後、自動的にキャレット位置までスクロールするように
 * fix: [Ann] 正規表現検索中に正規表現として不正な文字列を入力するとクラッシュする問題を修正
 * fix: [Ann] バージョン番号を 1.3.0 に

== 1.3.5 (2009-06-28) ==
 * fix: AzukiControl.CanRedo プロパティが常に不正な値を返す問題を修正

== 1.3.4 (2009-06-20) ==
 * fix: 特定条件がそろうと、ドキュメント切り替え直後に選択範囲を変更すると例外が発生する問題を修正
 * fix: 最終行が折り返されている場合、文字入力時に再描画が正常に行われない問題を修正

== 1.3.3 (2009-06-13) ==
 * fix: サロゲートペアの一文字後ろでバックスペースを押すとサロゲートペアが破壊される問題を修正
 * fix: 1.3.2でのデグレードを修正（折り返ししない状態で編集した後、AzukiControl の幅を変更せずに折り返しすると行の管理データが壊れる）
 * fix: サロゲートペアを含む範囲を左から右へ選択した後、左へ選択縮小していくと、そのペアより前へ選択を縮小できなくなる問題を修正

== 1.3.2 (2009-05-01) ==
 * fix: サロゲートペアを IME から入力した後に UNDO するとドキュメント内容が不正になる問題を修正
 * fix: "exec" の右から左へキャレットを単語移動すると 'x' の前でキャレットが止まってしまう問題を修正
 * fix: [Ann] バージョン番号を 1.2.1 に
 * fix: [Ann] バージョン情報として Azuki のバージョンも表示するように

== 1.3.1 (2009-04-20) ==
 * mod: Document に Capacity プロパティを追加して外部からバッファサイズを拡張できるように
 * fix: 条件が整うと XmlHighlighter がビジーループに入る問題を修正
 * fix: XmlHighlighter で再ハイライトが正しく行われないことがある問題を修正
 * fix: AzukiControl の左や上にマウスポインタをドラッグして持って行くとキャレットが右や下に飛んでしまう問題を修正
 * add: [Ann] バージョン番号を 1.2.0
 * add: [Ann] ドキュメント切り替え時にドキュメントごとのスクロール状態を復元するよう修正
 * add: [Ann] 大きなドキュメントを開くときのパフォーマンスを大きく改善

== 1.3.0 (2009-02-03) ==
 * add: 検索機能を追加
 * add: バイナリパッケージの Azuki.dll にアセンブリ署名を付けるように
 * mod: ズーム機能（Ctrl キーを押しながらマウスホイール）の変化倍率を 0.8 から 0.9 に変更
 * mod: DummyHighlighter クラスを削除
 * fix: ハイライタが指定されていない場合にも内容変更後に再描画を行っていた問題を修正
 * fix: テキスト選択状態で Ctrl+Left、Ctrl+Home を押すと選択が解除されるだけでキャレットが移動しない問題を修正
 * add: [Ann] インクリメンタル検索機能を追加
 * add: [Ann] 変更済みドキュメントがある状態で終了しようとしたときに変更を保存するか尋ねる場面で、そのドキュメントを一時的にアクティブにするようにした

== 1.2.4 (2008-12-28) ==
 * fix: 一方が他方を含むようなペアによる「囲い」型のハイライト対象を登録すると正しくハイライトされないことがある問題を修正
 * fix: 複数ドキュメントで同じ内蔵ハイライタを使うと「囲い」型のハイライトが正しく実行されないことがある問題を修正
 * fix: [Ann] 複数ドキュメントで同じ内蔵ハイライタを使うと「囲い」型のハイライトが正しく実行されないことがある問題を修正

== 1.2.3 (2008-12-07) ==
 * fix: スクロールバーの「つまみ」のサイズを制御するように
 * fix: 段階の無いマウスホイールでスクロールが困難になるうる問題を修正
 * fix: 64 bit 版 Windows がまれに送ってくる壊れたホイールイベントを受けてもスクロール位置が初期化しないように修正
 * fix: ドキュメントを切り替えてもスクロールバーが更新されない問題を修正
 * add: [Ann] コマンドライン引数で指定されたファイルを開くように
 * mod: [Ann] Textモード、XMLモードでは通常の自動インデントを行うようにした
 * mod: [Ann] ドキュメント一覧ウィンドウでダブルクリックでも項目を選択できるように
 * fix: [Ann] Compact Framework 版で「名前を付けて保存」を実行すると例外が発生する問題を修正
 * fix: [Ann] 名前を付けて保存した後にウィンドウタイトルが古いファイル名のまま更新されない問題を修正
 * fix: [Ann] Compact Framework 版で最上位メニューの Save が動作しない問題を修正

== 1.2.2 (2008-11-24) ==
 * fix: KeywordHighlighter ベースのハイライターが、行コメント中に囲い型コメント開始トークンがあると再ハイライト時にそれを誤検出してハイライト結果が不正になる問題を修正
 * add: [Ann]ファイル新規作成コマンドを追加
 * add: [Ann]ドラッグ＆ドロップしたファイルを開く機能を追加
 * fix: [Ann]ファイルモードに応じて適切な自動インデント機能を設定するよう修正
 * fix: [Ann]すでに開いているファイルを多重オープンしないよう修正
 * fix: [Ann]非共有モードで他プロセスが開いているファイルを open/save する場合に対処

== 1.2.1 (2008-11-03) ==
 * add: Ann をいろいろと改良
 * add: AzukiControl.DrawingOption プロパティを公開
 * add: 1px 幅の線（ノイズ）が折り返し表示時の右端に現れる問題を修正
 * fix: ハイライト処理中に内容が変更されるとハイライト処理の前提条件が崩れて例外が発生する可能性があることへ対処
 * fix: 特定条件を満たすサイズのファイルを読み込むと例外が発生する問題を修正
 * fix: C# ハイライタ－が /// をドキュメントコメントと正しく解釈するように修正
 * fix: 特定言語用のハイライタークラスが無用に公開されていたのを非公開に

== 1.2.0 (2008-11-01) ==
 * add: サンプルアプリを Ann に変更
 * add: SmartHome を追加
 * add: C/C++ 用 highlighter を追加
 * add: C# 用 highlighter を追加
 * add: Java 用 highlighter を追加
 * add: Ruby 用 highlighter を追加
 * add: XML 用 highlighter を追加
 * add: 設定済みキーバインドを取得可能に
 * add: キャレットの動きを改善
 * add: GetWordAt メソッドを追加
 * add: IsDirty と DirtyStateChanged を追加
 * add: 0x で始まる 16 進数リテラルもキャレット移動時に 1 単語と扱えるように
 * fix: AzukiControl.Highlighter 変更時に強調情報をクリアして再描画するように
 * fix: Undo/Redo 実行後に DesiredColumn が更新されない問題を修正
 * fix: 挿入・削除の結果 CR+LF が分離・作成されると内部で管理しているデータ構造の整合性が取れなくなる問題を修正

== 1.1.0 (2008-08-15) ==
 * add: タブ入力を相当数のスペース入力に変換する機能を追加
 * add: 全角スペースの入力を半角スペース入力に変換する機能を追加
 * mod: Windows Mobile ではダブルバッファリングを使わないことで動作速度を向上
 * fix: 折り返し表示をしているウィンドウの、ドキュメントを差し替えると折り返し位置が再計算されない問題を修正
 * fix: 同じドキュメントを複数のウィンドウで開いている時、フォーカスがあるウィンドウにだけキャレットを表示するように

== 1.0.2 (2008-07-24) ==
 * fix: タブ幅を設定してもグラフィックが更新されない問題を修正

== 1.0.1 (2008-07-21) ==
 * fix: 折り返し表示時、条件がそろうと折り返し位置の計算に失敗してテキストのレイアウトが壊れる
 * fix: VisualDesigner で Azuki を配置するとすべての色が黒の ColorScheme オブジェクトが作られてしまう

== 1.0.0 (2008-07-20) ==
 * add: シンタックスハイライトをサポート
 * add: 複数ドキュメントを扱えるように
 * add: マウスホイールでスクロールする行数を、OS設定から取得するように
 * add: PageDown / PageUp を追加
 * fix: 上書きモード時でキャレットがタブ文字の上にあるとキャレットの幅が常にタブ幅になっていた問題を修正
 * fix: AzukiControl.Text 変更時は自動的に ScrollToCaret を呼ぶように修正

== 0.9.3 (2008-06-14) ==
 * fix: Windows Mobile でスクロールや内容変更を行うと、 水平スクロールバーが強制的に表示されてしまう問題を修正
 * fix: 縦スクロールしていると、 選択開始後にカレント行の強調表示が消えない問題を修正

== 0.9.2 (2008-06-08) ==
 * add: 改行文字の色を独立して指定可能に
 * add: Azuki.SetKeyBind の使い勝手を考えてオーバーロードを追加
 * add: 水平スクロールバーの表示・非表示を切り替え可能に
 * add: 自動インデント処理を改良
 * add: マウスカーソルが矢印ではなく一般的な「I ビーム」で表示されるように
 * fix: 改行コードの無い最終行を編集すると折り返し表示データが壊れる問題を修正
 * fix: 空でない最終行をその前の行と結合すると折り返し表示データが壊れる問題を修正
 * fix: Ctrl+Shift+Left で前の行へと選択を広げられなかった問題を修正
 * fix: 改行文字が右端を超えても折り返しされない問題を修正
 * fix: Windows Mobile で上へスクロールすると 1 px のノイズが行番号領域に現れる問題を修正
 * fix: キャレットが行末に無い場合に自動インデントが正しく行われない問題を修正
 * fix: ファイル末尾をダブルクリックすると例外が発生する問題を修正

== 0.9.1 (2008-06-04) ==
 * fix: AzukiControl.Text プロパティ変更時にスクロールバーが更新されないことがある問題を修正
 * fix: 折り返し表示時に最終行で文字を追加・削除すると表示が乱れる問題を修正
 * mod: AzukiControl.ClearUndo を AzukiControl.ClearHistory に変更

== 0.9.0 (2008-06-01) ==
 * add: 指定幅での行折り返し表示機能を追加
 * add: 自動インデント機能を追加 (通常のと C 系言語用)
 * add: 上書きモードを追加
 * add: 読み取り専用モードを追加
 * add: ブロックインデント機能を追加

== 0.8.2 (2008-05-08) ==
 * fix: 64 以上の操作を行うと UNDO スタックが壊れて異常終了する問題を修正

== 0.8.1 (2008-05-06) ==
 * fix: 残っていたデバッグコードを除去

== 0.8.0 (2008-05-06) ==
 * 公開
